com.hazelcast.util

## Class RandomPicker

- java.lang.Object
- - com.hazelcast.util.RandomPicker

-     public final class RandomPicker
      extends Object

  User: ahmetmircik Date: 10/7/13 Time: 12:27 PM

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getInt(int n)` Returns a pseudorandom, uniformly distributed int value between 0 (inclusive) and the specified value (exclusive), drawn from this random number generator's sequence.
    `static int` | `getInt(int low, int high)` Return a pseudorandom, uniformly distributed in value between the low value (inclusive) and the high value (exclusive), drawn from this random number generator's sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInt

          public static int getInt(int n)

      Returns a pseudorandom, uniformly distributed int value between 0 (inclusive) and the specified value (exclusive), drawn from this random number generator's sequence. Starts the random number generator sequence if it has not been initialized.
      Parameters:
        `n` - the specified value
      Returns:
        a value between 0 (inclusive) and the specified value (exclusive).

    - #### getInt

          public static int getInt(int low,
                                   int high)

      Return a pseudorandom, uniformly distributed in value between the low value (inclusive) and the high value (exclusive), drawn from this random number generator's sequence. Starts the random number generator sequence if it has not been initialized.
      Parameters:
        `low` - lowest value of the range (inclusive)
        `high` - highest value of the range (exclusive)
      Returns:
        a value between the specified low (inclusive) and high value (exclusive).

Copyright © 2019. All rights reserved.